package com.acethewildfire.acesbs.mixin;

import com.acethewildfire.acesbs.util.CreeperTransformAccess;
import net.minecraft.entity.mob.CreeperEntity;
import org.spongepowered.asm.mixin.Mixin;

@Mixin(CreeperEntity.class)
public class CreeperTransformStateMixin implements CreeperTransformAccess {

    private boolean isTransforming = false;
    private int transformTimer = 0;

    @Override
    public boolean aces_bravo_sierra_template_1_21$isTransforming() {
        return isTransforming;
    }

    @Override
    public void aces_bravo_sierra_template_1_21$setTransforming(boolean value) {
        this.isTransforming = value;
    }

    @Override
    public int aces_bravo_sierra_template_1_21$getTransformTimer() {
        return transformTimer;
    }

    @Override
    public void aces_bravo_sierra_template_1_21$setTransformTimer(int value) {
        this.transformTimer = value;
    }
}
